/* Read in configuration options for edics, from the terminal.
 *
 * While there are probably better ways of getting a user config, this
 * seems to be the easiest I know so far.
 */


#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/*** The errors ***/
#define CONFIG_TRAP_OK    0    /* All went well */
#define CONFIG_TRAP_NONE  1    /* Got an empty (or all whitespace) string */
#define CONFIG_TRAP_INV   2    /* Invalid input */

int get_server_ip(char *result);
/* Get the server IP address from the terminal.
 * => CONFIG_TRAP_(OK | NONE | INV)
 * result: The string where you want the IP address stored.
 *         Should be "" when you pass it in, and be a char array of length
 *         16.
 */


int get_host_name(char *result);
/* Get the name of the host to authenticate with dtkeden.
 * => CONFIG_TRAP_(OK | NONE | INV)
 */
