/* Utilities to help us name Eden observables based on memory addresses
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

char column_letter(int column_number);
/* => the character (A-P) corresponding to the given column number.
 *  Precondition: 0 <= column_number <= 15
 */

void make_loc_string(char *result, int loc);
/* => the name of the cell (e.g. A0) corresponding to the given location.
 */
