%eden
/* Load and execute run.e *in dtkeden*, then look at the following... */

/* Load a copy of SCICS in dtkeden client mode:
 *  joshua:~$ cd edics/edics/src
 *  joshua:~/edics/edics/src$ make clean && make
 *  joshua:~/edics/edics/src$ ./scics -d
 *
 * SCICS will ask for an IP address and an agent name.  Fill them in:
 *  IP Address: 127.0.0.1
 *      (or another IP address if dtkeden is running remotely)
 *  Agent Name: scics
 *      (or whatever you like)
 */

/* See what happens when you change the value in F1 in SCICS.
 *  Move to F1 with your cursor keys, then type
 *   =10
 *  followed by enter to change the value to 10, for example.
 *
 *  Try with different values.
 */

/*
 * We can inspect any pair of digits we like.
 */

%eden
hunds is (ics_F1 / 100) % 10;

/*
 Now try this and change the value in F1 again (try some numbers >100
 this time):
  _led_digitU is tens;
  _led_digitT is hunds;
 */

/*
 You can also re-define units, tens and hunds to point to different cells
 of the spreadsheet if you want to.
 Valid names are in the range ics_[A-P][0-15]
 */

/* Once you've done that, try re-loading SCICS with the heapsort example,
 * put in a some unordered numbers between F1 and F15, then run the
 * heapsort.
 *
 *  joshua:~/edics/edics/src$ ./scics -d ../examples/heapsort.sc
 * Put in the same agent information as before.
 *
 * Press CTRL+Space and paste in the code from
 *  ~/edics/edics/src/edample/heapsort.ics
 * then press Enter.
 *
 * Fill in an unsorted list of integers in cells F1 to F15, then press
 *  r
 * to run the code.
 *
 * Watch the Donald window update with the SCICS cell F1 (or whatever
 * cell you happen to be monitoring).
 */

