
#include "edics_naming.h"

struct IntStringTable { int i; char* s; };

void test_column_letter() {
    printf("Test: column_letter([0-15]) => [A-P]\n");
    char expected[17] = "ABCDEFGHIJKLMNOP";
    int i;
    char exp, rslt;
    for (i = 0; i < 16; i++) {
        exp = expected[i];
        rslt = column_letter(i);
        printf(" column_letter(%d) => '%c' -- %s\n", i, rslt,
                ((exp == rslt) ? "ok" : "FAIL")
                );
        if (exp != rslt) {
            printf("  Should be: '%c'.\n", exp);
        }
    }
}

void test_make_loc_string() {
    printf("Test correct operation of make_loc_string()...\n");

    /* Define the test cases and the number of test cases here */
    int testtab_len = 5;
    struct IntStringTable testtab[] = {
        {0, "A0"}, {16, "B0"}, {5, "A5"}, {17, "B1"}, {255, "P15"}
    };
    /* Now we loop through and run the test cases. */
    /* testtab[test].i is the input */
    /* testtab[test].s is the expected output */

    int test;
    for (test = 0; test < testtab_len; test++) {
        int in = testtab[test].i;
        char *exp = testtab[test].s;
        char res[3] = "";
        make_loc_string(res, in);
        printf(" for in=%d, exp=\"%s\".  res == \"%s\"\n", in, exp, res);
    }
}

int main() {
    test_column_letter();
    test_make_loc_string();
    return 0;
}
