#include "eden_glue.h"
#include "ics.h"
#include "sc.h"
#include <stdio.h>

/* save(int loc, int val) -> void
 * Saves the integer val in ICS machine location loc
 */
save(loc, val)
int loc, val;
{
	double d = val;
	struct ent *p = lookat(loc%16, loc/16);
	if (p->expr) {
	  printw("Warning: location %d:%3o was defined by a formula!\n",
		 loc/PAG, loc%PAG);
	  refresh();
	}
	let(p, new_const(O_CONST,d));
    /* edics - Nick B */
    if (dtkeden_enable == 1) {
        char obsname[8] = "";
        char cellcode[4] = "";
        make_loc_string(cellcode, loc);
        strcat(obsname, "ics_");
        strcat(obsname, cellcode);
        eden_set_int(dtkeden_socket, dtkeden_agent_name, obsname, val);
    }
    /* /edics */
	EvalAll();
}

/* store(int loc) -> int
 * Gets the integer value of ICS machine location loc.
 */
store(loc)
int loc;
{
	struct ent *p = lookat(loc%16, loc/16);
	int val = p->v;
	return val;
}
